#include <msp430g2553.h>
#include <stdint.h>
#include <stdlib.h>

#include "scheduler.h"
#include "generator.h"


int main() {
  WDTCTL = WDTPW | WDTHOLD;

  __disable_interrupt();

  // highest possible system clock
  DCOCTL = DCO0 | DCO1 | DCO2;
  BCSCTL1 = XT2OFF | RSEL0 | RSEL1 | RSEL2 | RSEL3;
  BCSCTL2 = 0;
  BCSCTL3 = 0;


  schInit();

  generatorInit();


  __enable_interrupt();


  while (1) {
    schExec();
  }
}
